Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.management.configuration
Interface ComponentMBean

All Known Subinterfaces:
  EJBComponentMBean, WebAppComponentMBean

public interface ComponentMBean
extends DeploymentMBean

A component is a specific type deployment that is parto of a J2EE application (@see ApplicationMBean). Typically it is a JAR file that contains application code. A component is a J2EE JAR file that defines one or more component of a given type, such as an EJB JAR (@see EJBComponentMBean) that defines one or more EJB or a web application (@see WebAppComponentMBean) that defines multiple servlets and static web data. Because they are part of a larget application, Components have a slightly different deployment model from the base component class. For a component to be deployed on its targets, the entire application has to be "Deployed", i.e. the application's Deployed attribute has to be true. Toggling that flag is what ultimately deploys or undeploys a component. Note that a Component that configures a server S as a target will show up in that server's deployments list, but that it may or may not necessarily be deployed depending on whether or not the application itself is deployed. If the application is deployed however, changing the target list of a Component will have all the usual effects (deploy/undeploy).

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class weblogic.management.configuration.DeploymentMBean
`DEFAULT_ORDER, MAX_ORDER, MIN_ORDER`

Method Summary
`ApplicationMBean` | `getApplication()` Return the application this component is a part of.
`java.lang.String` | `getURI()` Return a URI pointing to the application component, usually on the Admin Server.
`void` | `setApplication(ApplicationMBean app)` Set this component's application.

Methods inherited from interface weblogic.management.configuration.DeploymentMBean
`addTarget, getDeploymentOrder, getTargets, removeTarget, setDeploymentOrder, setTargets`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`getNotes, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getApplication

    public ApplicationMBean getApplication()

  Return the application this component is a part of. This is guaranteed to never be null.

  A non-configurable MBean attribute.

### setApplication

    public void setApplication(ApplicationMBean app)
                        throws javax.management.InvalidAttributeValueException

  Set this component's application.

### getURI

    public java.lang.String getURI()

  Return a URI pointing to the application component, usually on the Admin Server.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD